Ads
Upload campaign video
Uploads a video for use as ad creative. Returns a videoId; poll ads.getCampaignVideoStatus until it’s ready before referencing it in ads.createCampaign.
POST
/
v1
/
ads
/
campaigns
/
upload-video
Upload campaign video
curl --request POST \
--url https://app.chatbotx.io/api/v1/ads/campaigns/upload-video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integrationId": "<string>",
"adAccountId": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"base64": "<string>"
}
'import requests
url = "https://app.chatbotx.io/api/v1/ads/campaigns/upload-video"
payload = {
"integrationId": "<string>",
"adAccountId": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"base64": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
integrationId: '<string>',
adAccountId: '<string>',
fileName: '<string>',
mimeType: '<string>',
base64: '<string>'
})
};
fetch('https://app.chatbotx.io/api/v1/ads/campaigns/upload-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"videoId": "<string>"
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Channel the integration belongs to.
Available options:
messenger, instagram, whatsapp Channel integration id (numeric string).
Pattern:
^\d+$Meta ad account id (act_).
Pattern:
^act_\d+$File name for the uploaded video.
Required string length:
1 - 255Video MIME type: video/mp4 or video/quicktime.
Pattern:
^video\/(mp4|quicktime)$Base64-encoded video file contents, up to 25MB.
Required string length:
1 - 25000000Response
OK
Was this page helpful?
⌘I
Upload campaign video
